Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Buckminster » Buckminster ->Jenkins: Unable to load repositories (Jenkins build is unable to load repositories )
icon8.gif  Buckminster ->Jenkins: Unable to load repositories [message #1735299] Fri, 17 June 2016 07:50 Go to next message
Abdul Rehman Shah is currently offline Abdul Rehman ShahFriend
Messages: 3
Registered: December 2015
Junior Member
I am trying to build this project on jenkins with buckminster plugin. The buckminster build is working perfectly in my Eclipse but on Jenkins it gives the following errors.
Installation failed, Unable to load repositories.

i have attached the jenkins console output .
download.Cloudsmith.com is down . Is there any alternate mirror site.
  • Attachment: jenkins.JPG
    (Size: 221.02KB, Downloaded 248 times)
  • Attachment: LOG.log
    (Size: 22.42KB, Downloaded 59 times)

[Updated on: Mon, 20 June 2016 13:11]

Report message to a moderator

Re: Buckminster ->Jenkins: Unable to load repositories [message #1735478 is a reply to message #1735299] Mon, 20 June 2016 09:45 Go to previous messageGo to next message
Matthew Webber is currently offline Matthew WebberFriend
Messages: 15
Registered: September 2014
Junior Member
The RC=13 usually indicates a problem with dependencies. What makes you think that download.Cloudsmith.com is down?

Can you attach the full log please, and as a text file, not as an image. What you originally posted is not enough to understand the problem.
Re: Buckminster ->Jenkins: Unable to load repositories [message #1735479 is a reply to message #1735478] Mon, 20 June 2016 09:49 Go to previous messageGo to next message
Matthew Webber is currently offline Matthew WebberFriend
Messages: 15
Registered: September 2014
Junior Member
Hmm ... I notice that there is another thread with the title "problems with http://download.cloudsmith.com", so you might want to keep an eye on that also. No solution offered as yet.
Re: Buckminster ->Jenkins: Unable to load repositories [message #1735481 is a reply to message #1735479] Mon, 20 June 2016 09:52 Go to previous messageGo to next message
Matthew Webber is currently offline Matthew WebberFriend
Messages: 15
Registered: September 2014
Junior Member
Another idea - which components are you trying to download from cloudsmith? Do you actually need them? For example, if you're not using Subclipse, then you don't need to get the Buckminster Subclipse adapter from cloudsmith.
Re: Buckminster ->Jenkins: Unable to load repositories [message #1735504 is a reply to message #1735481] Mon, 20 June 2016 13:16 Go to previous messageGo to next message
Abdul Rehman Shah is currently offline Abdul Rehman ShahFriend
Messages: 3
Registered: December 2015
Junior Member
Hallo Matthew,
Thank you very much for your reply, I have attached the log,

I have tried to open the Cloudsmith link in browser and it gave me 404 error.

I actually used the standard JSON file from this Link. I will remove the cloudsmith part and see if it works.
http://updates.jenkins-ci.org/updates/hudson.plugins.buckminster.BuckminsterInstallation.BuckminsterInstaller.json

[Updated on: Mon, 20 June 2016 13:25]

Report message to a moderator

Re: Buckminster ->Jenkins: Unable to load repositories [message #1735771 is a reply to message #1735504] Wed, 22 June 2016 15:09 Go to previous message
Matthew Webber is currently offline Matthew WebberFriend
Messages: 15
Registered: September 2014
Junior Member
I think you need to fix this first:
!MESSAGE Connection to http://download.eclipse.org/tools/buckminster/headless-4.2/p2.index failed on download.eclipse.org. Retry attempt 0 started
!STACK 0
java.net.UnknownHostException: download.eclipse.org


UnknownHostException?? Doesn't that suggest that there is something wrong with the setup on your Jenkins machine? Proxy maybe?

Another observation: We use Buckminster in Jenkins, but we don't use the Buckminster plugin - we just run buckminster in a regular shell step. To be honest, I'm not sure whether the Buckminster plugin is maintained - the last release was 3 years ago.
Previous Topic:problems with http://download.cloudsmith.com
Next Topic:news.eclipse.org is shutting down.
Goto Forum:
  


Current Time: Fri Oct 19 00:00:52 GMT 2018

Powered by FUDForum. Page generated in 0.03488 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top